#!/bin/sh
# This script will be executed every time the container spin up
#
# Author: bisco <bisco@younerd.org>

set -e

echo "Enabling PHP over network"
sed -i 's/listen\ =\ 127.0.0.1:9000/listen\ =\ 0.0.0.0:9000/g' /etc/php7/php-fpm.d/www.conf

echo "Changing user and group"
sed -i 's/user\ = nobody/user\ = www-data/g' /etc/php7/php-fpm.d/www.conf
sed -i 's/group\ = nobody/group\ = www-data/g' /etc/php7/php-fpm.d/www.conf

echo "Starting PHP-FPM"
php-fpm7 -F


